Presign Playground Attachment Upload
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/presign" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "media_type": "string", "size": 1 }'{ "attachment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "image", "media_type": "string", "name": "string", "byte_size": 0, "status": "uploading", "reject_reason": "string" }, "upload": { "url": "string", "fields": { "property1": "string", "property2": "string" } }, "expires_at": "2019-08-24T14:15:22Z"}Empty
Empty
Empty